[dev-context] error: You can't use `\vadjust' in internal vertical mode

Sanjoy Mahajan sanjoy at MIT.EDU
Thu Jun 11 16:53:18 CEST 2009


> Either the bug is fixed or there is a subtle difference between
> our installations, but I do not get an error. Versions:
>  This is pdfTeX, Version 3.1415926-1.50.0-alpha-20080414
>  ConTeXt  ver: 2009.06.03 11:48 MKII
>  This is MetaPost, version 1.202

I also don't see the problem with a newer installation.  In particular:

  Creator:        ConTeXt - 2009.06.04 22:20
  Producer:       pdfTeX-1.40.9
  (with texlive2008)

But I also noticed that the vertical spacing is different from what
ConTeXt 2008.10.31 produces (part of Debian texlive2007).  The vadjust
problem is very sensitive to the vertical spacing, so a change in
vertical spacing might be hiding the problem.

I'll use the newer ConTeXt/pdftex setup for the full math textbook (of
which lumping.tex is a chapter).  That should be a good test of whether
the vadjust problem is still there.

By the way, is it worth my tracking down the difference in the vertical
spacing?  Or is that an expected change between 2008.10.31 and
2009.06.04?

-Sanjoy

`Until lions have their historians, tales of the hunt shall always
 glorify the hunters.'  --African Proverb


More information about the dev-context mailing list